Skip to main content
Infrastructure/Federation & SSO

ListCasdoorApplications

List all Casdoor applications registered in the federation Casdoor instance.

GET/api/v1/sso/casdoor/applications

Operation ID

ListCasdoorApplications

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • name
      String

      Internal name of the Casdoor application.

      Example: app-zcf

    • displayName
      String

      Human-readable display name of the Casdoor application.

      Example: ZCF Portal

    • clientId
      String

      OAuth 2.0 client ID for the Casdoor application.

      Example: casdoor-client-id

    • redirectUris
      List

      Redirect uris

      Example: item1,item2

    • grantTypes
      List

      Grant types

      Example: item1,item2

    • organization
      String

      Organization that owns this Casdoor application.

      Example: built-in

  • total
    Integer

    Total number of Casdoor applications available.

    Example: 4

  • limit
    Integer

    Maximum number of items returned in this page.

    Example: 20

  • offset
    Integer

    Zero-based offset of the first item in this page.

    Example: 20